module constvalue_module
  ! -- modules
  use kind_module, only: I4, DP

  implicit none
  integer(I4), parameter :: FILELENGTH = 100
  integer(I4), parameter :: VARIABLELENGTH = 30
  integer(I4), parameter :: CHARACTERNUMBER = 100
  integer(I4), parameter :: FORMATLENGTH = 80
  integer(I4), parameter :: OUTPUTLENGTH = 100000
  integer(I4), parameter :: PARANUMBER = 5
  integer(I4), parameter :: FACE = 6
  integer(I4), parameter :: TIMELENGTH = 10
  real(DP), parameter :: DZERO = 0.00_DP
  real(DP), parameter :: DONE = 1.00_DP
  real(DP), parameter :: DHALF = 0.50_DP
  real(DP), parameter :: DTWO = 2.00_DP
  real(DP), parameter :: DQUART = 0.25_DP
  real(DP), parameter :: DINFI = 1.00E+20_DP
  real(DP), parameter :: DSMAL = 1.00E-20_DP
  real(DP), parameter :: DNOVAL = -9999_DP
  real(DP), parameter :: MINUTESEC = 60_DP
  real(DP), parameter :: HOURSEC = 3600_DP
  real(DP), parameter :: DAYSEC = 86400_DP
  real(DP), parameter :: YEARSEC = 31536000_DP
  real(DP), parameter :: VARMAX = 1.00E+03_DP
  real(DP), parameter :: XMAX = 1.00E+04_DP
  character(len=5), parameter :: OUTFORM = "E13.5"
  character(len=30), parameter :: MASSCHARA = "FLOW,SOTRAGE,RECHARGE,WELL,ALL"

end module constvalue_module
